Some Wikidata items' edits don't appear on my local watchlist
Closed, ResolvedPublic

Description

Watched item's changes don't appear on my local watchlist if I watch the item on Wikidata too.

  • If I watch Example article only locally, its Wikidata-changes appear on my local watchlist
  • If I watch Example article locally and on Wikidata, its Wikidata-changes don't appear on my local watchlist

It should be fixed because I use Show Wikidata edits in your watchlist for seeing the changes, not for losing any edits because the items on my Wikidata-watchlist too.

Bencemac created this task.Apr 20 2018, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2018, 5:08 PM

Are you sure this has anything to do with the watchlist status? It really shouldn't make a difference. I believe what you're seeing instead is T192085 which leads to some changes not showing up in the watchlist. Could you please check?

@Lydia_Pintscher We could easily test it. I've removed Q1292076 from my Wikidata watchlist. Please add the following labels in English:

If I don't spot Q26844250 (Wikidata+locally watched) but see Q1292076 (ony locally watched) on my huWiki watchlist, then the bug is real.

This is a x/y problem. I make a fix right away.

Change 428985 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] AffectedPagesFinder need to find pages when the aspect without modifier is used

https://gerrit.wikimedia.org/r/428985

This is a x/y problem. I make a fix right away.

What do you mean under x/y problem? I'd like to learn. :)

I mean XY problem. The real reason behind this is actually something else that I'm working on a fix for that.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 27 2018, 2:59 PM

Change 428985 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] AffectedPagesFinder need to find pages when the aspect without modifier is used

https://gerrit.wikimedia.org/r/428985

Lydia_Pintscher closed this task as Resolved.May 8 2018, 8:24 AM
Lydia_Pintscher renamed this task from Wikidata items' edits don't appear on my local watchlist if I watch them on Wikidata too to Some Wikidata items' edits don't appear on my local watchlist.May 14 2018, 11:40 AM